Subject: Re: embedded a default dtb in the kernel (was merge dtc)

From: David Gibson <[email-masked]>
Date: Sat, 20 Oct 2007 17:10:43 +1000

On Fri, Oct 19, 2007 at 01:09:39PM -0600, Grant Likely wrote:
> On 10/19/07, Leisner, Martin <[email-masked]> wrote:
> > Is there a way to embed a default dtb into the kernel?
> > When I build a kernel, I want to embed a dtb into it --
> > so I don't have to deal with the headaches of finding the
> > right file to match the right board (its always easier to
> > deal with 1 file than 2).
> >
> > If there is, it makes sense to put dtc into the tree.
> > If there's not, there should be a way to embed dtb's; and put
> > dtc and dts's into the tree.
> > If there can't be (I haven't examined this but relaying my
> > experiences), then it should be in a separate repository
> > (but the DTS and DTC should be in one place).
> > It was a little difficult to cobble together a working
> > system the first time.
> >
> > Also, mkimage SHOULD definitely go in the tree.  Its necessary
> > to build, hence should be in the tree...
> 
> Why?  mkimage is u-boot specific, and hence is maintained by u-boot.
> If you're not using u-boot, then you don't need mkimage.  What is
> wrong with it being a prereq like all the other tools we use?  If
> you're doing embedded development, you're installing non-distribution
> cross toolchain anyway.

The problem is that we build uImages at present, without option, for a
bunch of targets that don't necessarily have u-boot.

> dtc and mkimage are embedded development tools.  They belong with the
> embedded development toolchain.  mkimage is already part of ELDK.

dtc isn't just for embedded.  ps3 uses it already, and more may well
do so in future.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson